#!/bin/bash

export PATH="$PATH:/sbin"

bash_path=$(cd `dirname $0`;pwd)
pack_stdlib=$bash_path/libstdc++.so.6
real_stdlib=$bash_path/../rtl/libstdc++.so.6
cpp_lib_rpath=`ldconfig -p | grep libstdc++.so.6 | head -n 1 |  awk '{print $NF}'`
cpp_lib_version=`ls -l $cpp_lib_rpath | awk '{print $NF}' | awk -F "." '{print $NF}'`
echo $cpp_lib_rpath
echo $cpp_lib_version

if test -e $pack_stdlib; then
  if [ $cpp_lib_version -lt 21 ]; then
    echo "use packeted libstdc++ lib"
    cp $pack_stdlib ${real_stdlib}
  fi
fi

